! WHIZARD <<Version>> <<Date>>
! 
! (C) 1999-2009 by 
!     Wolfgang Kilian <kilian@hep.physik.uni-siegen.de>
!     Thorsten Ohl <ohl@physik.uni-wuerzburg.de>
!     Juergen Reuter <juergen.reuter@physik.uni-freiburg.de>
!     with contributions by Sebastian Schmidt
!
! WHIZARD is free software; you can redistribute it and/or modify it
! under the terms of the GNU General Public License as published by 
! the Free Software Foundation; either version 2, or (at your option)
! any later version.
!
! WHIZARD is distributed in the hope that it will be useful, but
! WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with this program; if not, write to the Free Software
! Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
module system_dependencies

  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  ! All character strings indented by 7 blanks will be automatically
  ! split into chunks respecting the FORTRAN line length constraint by
  ! configure.
  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

  implicit none
  public
 
  ! Program version
  character(*), parameter :: WHIZARD_VERSION = "2.0.0_rc1"
  character(*), parameter :: WHIZARD_DATE = "Jan 17 2010"

  ! System paths
  ! These are used for testing without existing installation
  character(*), parameter :: WHIZARD_TEST_AUX_MODPATH = &
       "/Users/reuter/Physik/progs/omwhiz/svn/trunk/build/src/misc"
  character(*), parameter :: WHIZARD_TEST_MODELS_MODPATH = &
       "/Users/reuter/Physik/progs/omwhiz/svn/trunk/build/src/models"
  character(*), parameter :: WHIZARD_TEST_OMEGA_MODPATH = &
       "/Users/reuter/Physik/progs/omwhiz/svn/trunk/build/src/omega/src"
  character(*), parameter :: WHIZARD_TEST_CORE_MODPATH = &
       "/Users/reuter/Physik/progs/omwhiz/svn/trunk/build/src/whizard-core"
  character(*), parameter :: WHIZARD_TEST_CORE_LIBPATH = &
       "/Users/reuter/Physik/progs/omwhiz/svn/trunk/build/src/whizard-core"
  character(*), parameter :: WHIZARD_TEST_OMEGA_BINPATH = &
       "/Users/reuter/Physik/progs/omwhiz/svn/trunk/build/src/omega/bin"
  character(*), parameter :: WHIZARD_TEST_SRC_LIBPATH = &
       "/Users/reuter/Physik/progs/omwhiz/svn/trunk/build/src"
  character(*), parameter :: WHIZARD_TEST_HEPMC_LIBPATH = &
       "/Users/reuter/Physik/progs/omwhiz/svn/trunk/build/src/hepmc"
  character(*), parameter :: WHIZARD_TEST_MODELPATH = &
       "/Users/reuter/Physik/progs/omwhiz/svn/trunk/share/models"
  character(*), parameter :: WHIZARD_TEST_MODELS_LIBPATH = &
       "/Users/reuter/Physik/progs/omwhiz/svn/trunk/build/src/models"
  character(*), parameter :: WHIZARD_TEST_SUSYPATH = &
       "/Users/reuter/Physik/progs/omwhiz/svn/trunk/share/susy"
  character(*), parameter :: WHIZARD_TEST_GMLPATH= &
       "/Users/reuter/Physik/progs/omwhiz/svn/trunk/build/src/gamelan"
  character(*), parameter :: WHIZARD_TEST_CUTSPATH = &
       "/Users/reuter/Physik/progs/omwhiz/svn/trunk/share/cuts"
  character(*), parameter :: WHIZARD_TEST_TESTDATAPATH = &
       "/Users/reuter/Physik/progs/omwhiz/svn/trunk/share/test"
  character(*), parameter :: WHIZARD_TEST_TEXPATH = ""

  ! WHIZARD-specific include flags
  character(*), parameter :: WHIZARD_TEST_INCLUDES = &
      "-I" // WHIZARD_TEST_MODELS_MODPATH // " " // &
      "-I" // WHIZARD_TEST_OMEGA_MODPATH // " " // &
      "-I" // WHIZARD_TEST_CORE_MODPATH // " " // &
      "-I" // WHIZARD_TEST_AUX_MODPATH

  ! WHIZARD-specific link flags
  character(*), parameter :: WHIZARD_TEST_LDFLAGS = &
      "-L" // WHIZARD_TEST_CORE_LIBPATH // " " // &
      "-L" // WHIZARD_TEST_SRC_LIBPATH // " " // &
      "-L" // WHIZARD_TEST_HEPMC_LIBPATH // " " // &
       "-lwhizard_main -lwhizard -lomega -lHepMC"

  ! Libtool
  character(*), parameter :: WHIZARD_LIBTOOL_TEST = &
       "/Users/reuter/Physik/progs/omwhiz/svn/trunk/build/libtool"


  ! System paths
  ! These are used for the installed version
  character(*), parameter :: WHIZARD_AUX_MODPATH = &
       "/Users/reuter/local/lib/whizard/mod/misc"
  character(*), parameter :: WHIZARD_MODELS_MODPATH = &
       "/Users/reuter/local/lib/whizard/mod/models"
  character(*), parameter :: WHIZARD_OMEGA_MODPATH = &
       "/Users/reuter/local/include/omega"
  character(*), parameter :: WHIZARD_CORE_MODPATH = &
       "/Users/reuter/local/lib/whizard/mod/whizard-core"
  character(*), parameter :: WHIZARD_OMEGA_BINPATH = &
       "/Users/reuter/local/bin"
  character(*), parameter :: WHIZARD_OMEGA_LIBPATH = &
       "/Users/reuter/local/lib/whizard"
  character(*), parameter :: WHIZARD_MODELPATH = &
       "/Users/reuter/local/share/whizard/models"
  character(*), parameter :: WHIZARD_MODELS_LIBPATH = &
       "/Users/reuter/local/lib/whizard/models"
  character(*), parameter :: WHIZARD_SUSYPATH = &
       "/Users/reuter/local/share/whizard/susy"
  character(*), parameter :: WHIZARD_GMLPATH= &
       "/Users/reuter/local/lib/whizard/gamelan"
  character(*), parameter :: WHIZARD_TESTDATAPATH = &
       "/Users/reuter/local/share/whizard/test"
  character(*), parameter :: WHIZARD_CUTSPATH = &
       "/Users/reuter/local/share/whizard/cuts"
  character(*), parameter :: WHIZARD_TEXPATH = &
       "/Users/reuter/local/share/texmf/whizard"

  ! WHIZARD-specific include flags
  character(*), parameter :: WHIZARD_INCLUDES = &
      "-I" // WHIZARD_MODELS_MODPATH // " " // &
      "-I" // WHIZARD_OMEGA_MODPATH // " " // &
      "-I" // WHIZARD_CORE_MODPATH // " " // &
      "-I" // WHIZARD_AUX_MODPATH

  ! WHIZARD-specific link flags
  character(*), parameter :: WHIZARD_LDFLAGS = &
      "-L" // WHIZARD_OMEGA_LIBPATH // " " // &
       "-lwhizard_main -lwhizard -lomega -lHepMC"
	
  ! Libtool
  character(*), parameter :: WHIZARD_LIBTOOL = &
       "/Users/reuter/local/lib/whizard/libtool"


  ! Fortran compiler
  character(*), parameter :: DEFAULT_FC = &
       "gfortran"
  character(*), parameter :: DEFAULT_FCFLAGS = &
       "-g -O2"
  character(*), parameter :: DEFAULT_FCFLAGS_PIC = &
       " -fno-common"
  character(*), parameter :: DEFAULT_FC_SRC_EXT = &
       ".f90"
  character(*), parameter :: DEFAULT_OBJ_EXT = &
       ".o"

  ! Linker
  character(*), parameter :: DEFAULT_LD = &
       "/usr/bin/ld"
  character(*), parameter :: DEFAULT_LDFLAGS = ""
  character(*), parameter :: DEFAULT_LDFLAGS_SO = "-shared"
  character(*), parameter :: DEFAULT_LDFLAGS_STATIC = &
       "-lwhizard -lstdc++-static"
  character(*), parameter :: DEFAULT_SHLIB_EXT = ".so"

  ! LHAPDF library
  character(*), parameter :: LHAPDF_PDFSETS_PATH = &
       "/usr/local//share/lhapdf/PDFsets"

  ! Available methods for event analysis display
  character(*), parameter :: EVENT_ANALYSIS_PS = &
       "yes"
  character(*), parameter :: EVENT_ANALYSIS_PDF = &
       "yes"

  ! Programs used for event analysis display
  character(*), parameter :: PRG_LATEX  = &
       "latex"
  character(*), parameter :: PRG_DVIPS  = &
       "dvips"
  character(*), parameter :: PRG_PS2PDF = &
       "ps2pdf14"

  ! Misc
  logical, parameter :: LHAPDF_AVAILABLE = .true.

end module system_dependencies
